LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
XDrawPage Interface Referencepublished

identifies an XShapes as a DrawPage. More...

`import"XDrawPage.idl";`

Inheritance diagram for XDrawPage:

## Additional Inherited Members
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

identifies an XShapes as a DrawPage.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPage.idl